<?php
namespace WilokeListgoFunctionality\Controllers;


use WilokeListgoFunctionality\Framework\Payment\PaymentConfiguration;

class PaymentMetaController extends Controller {
	public function __construct() {
		add_action('wiloke/wiloke-submission/payment/after_payment', array($this, 'setTrial'), 10);
	}

	public function setTrial($aData){
		if ( !isset($aData['sessionID']) || PaymentConfiguration::isNonRecurringPayment($aData['billingType']) || !$aData['isTrial'] || ($aData['gateway'] == 'banktransfer') ){
			return false;
		}

		PaymentMetaModel::set($aData['sessionID'], wilokeRepository('paymentKeys:isUsingTrial'), true);
	}
}