(function($) {
    tinymce.PluginManager.add('embed_video', function( editor, url ) {
        editor.addButton( 'embed_video', {
            title: WILOKE_LISTGO_SC_TRANSLATION.embedVideoBtn,
            icon: 'dashicons-format-video',
            onclick: function() {
                editor.windowManager.open({
                    title: WILOKE_LISTGO_SC_TRANSLATION.enterVideoSrc,
                    body: [
                        {type: 'textbox', name: 'video_src'}
                    ],
                    onsubmit: function(e) {
                    	if ( WILOKE_LISTGO_SC_TRANSLATION.embedVideoBtn === 'disable' ){
		                    alert(WILOKE_LISTGO_SC_TRANSLATION.needupdate);
		                    return false;
	                    }
                        editor.focus();
                        editor.selection.setContent('&nbsp;[embed_video]'+e.data.video_src+'[/embed_video]&nbsp;');
                    }
                });
            }
        });
    });

	jQuery(window).load(function () {
		if (  typeof WILOKE_GLOBAL !== 'undefined' && WILOKE_GLOBAL.toggleEmbedVideo === 'disable' ){
			$('.mce-widget[aria-label="'+WILOKE_LISTGO_SC_TRANSLATION.embedVideoBtn+'"]').addClass('disable');
		}
	})
 
})(jQuery);