<?php
use WilokeListgoFunctionality\Framework\Helpers\AddListingHelpers;
use WilokeListgoFunctionality\Helpers\AddListingHTML;
use WilokeListgoFunctionality\Framework\Helpers\GetSettings;

$groupClass = AddListingHelpers::toggleClass($aPackageSettings, 'toggle_logo', 'add-listing-group');
?>

<div class="<?php echo esc_attr($groupClass); ?>">
    <?php
    $aFieldSettings['value'] = array();
    if ( !empty($postID) ){
        $aListingSettings = GetSettings::getPostMeta($postID, 'listing_settings');
        if ( isset($aListingSettings['logo_id']) && isset($aListingSettings['logo_id']) ){
            $aFieldSettings['value'] = $aListingSettings['logo_id'];
        }
    }
    if ( $aPackageSettings['toggle_logo'] == 'disable' ){
        unset($aFieldSettings['isRequired']);
    }
    
    $aFieldSettings['title'] = $aBlock['blockName'];
    ?>
	<div class="row">
		<div class="col-sm-12">
			<?php AddListingHTML::uploadImages($aBlock['blockKey'], $aFieldSettings); ?>
		</div>
	</div>
</div>
