;(function ($) {
	'use strict';

	$(document).ready(function () {
		let $control = $('.wiloke_auto_complete'), $loading = $control.siblings('.wiloke_auto_complete_loading'), $id = $control.siblings('.wiloke_auto_complete_id');

		$control.each(function(){
			$(this).autocomplete({
				source: function( request, response ) {
					$loading.removeClass('hidden');
					$.ajax( {
						url: ajaxurl,
						type: 'POST',
						data: {
							action: 'wiloke_listgo_fetch_product_id',
							term: request.term
						},
						success: function(data) {
							response(data.data);
							$loading.addClass('hidden');
						}
					} );
				},
				minLength: 2,
				select: function( event, ui ) {
					$id.val(ui.item.id);
				},
				change: function() {
					console.log('dad');
					if ( $control.val() === '' ){
						$id.val('');
					}
				}
			});
		})

	})
})(jQuery);