<?php
namespace WilokeListgoFunctionality\AlterTable;


class AlterTablePaymentMeta implements AlterTableInterface {
	use TableExists;
	public static $tblName = 'wiloke_submission_payment_meta';
	protected $version = '1.0';

	public function __construct() {
		add_action('plugins_loaded', array($this, 'createTable'));
	}

	public function createTable() {
		global $wpdb;
		if ( $this->isTableExists() ){
			return false;
		}

		$charsetCollate = $wpdb->get_charset_collate();
		$tblName = $wpdb->prefix . self::$tblName;

		$sql = "CREATE TABLE $tblName(
				ID bigint(20) NOT NULL AUTO_INCREMENT,
				sessionID bigint(100) UNSIGNED,
				meta_key VARCHAR(255) NULL DEFAULT NULL,
				meta_value LONGTEXT NULL DEFAULT NULL,
				PRIMARY KEY(ID)
			) $charsetCollate";

		require_once ABSPATH . 'wp-admin/includes/upgrade.php';
		dbDelta($sql);

		update_option(self::$tblName, $this->version);
	}

	public function deleteTable() {

	}

}